Subject: bug#20793: closed (Re: bug#20793: 25.0.50; Some Unicode glyphs aren't monospaced)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Jun 2015 14:23:04 +0000

Your bug report

#20793: 25.0.50; Some Unicode glyphs aren't monospaced

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20793: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20793
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20793: 25.0.50; Some Unicode glyphs aren't monospaced
From: Eli Zaretskii <[email-masked]>
To: Oleh Krehel <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Jun 2015 17:22:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 12 Jun 2015 15:51:59 +0200
> 
> >> My preferred font is "DejaVu Sans Mono".  When using the Unicode
> >> character "✜", its width is more than the standard char width. This
> >> causes alignment problems for me.
> >
> > Which alignment problems?  Can you describe them?
> 
> If all chars aren't the same width, it's impossible to align plain text
> into a matrix, with each char exactly below the previous one.

I understand, but I hope you are aware that Emacs cannot possibly
promise not to disrupt this alignment.  If you must align text, you
need to use the ':align-to' display property (assuming you are talking
about some specialized mode).

> > As you see, Emacs 25.0.50 used a different font for this character.
> > Why did you expect it to use DejaVu Sans Mono?  What is your frame's
> > default font?  Do you have any font-related customizations, and if so,
> > could you please show them?
> 
> I just have `custom-theme-set-faces' with default :family "DejaVu Sans Mono".
> So I would expect that to be used if possible.
> 
> > Also, when was your Emacs 25 built?  There were changes lately in this
> > area, so it's important to know whether your binary is recent or not.
> 
> I think I built it a week ago. I've just rebuilt 00119c6, and the bug is
> gone. So I guess it's fine to close this bug.

Done.

> Just to add, in the old build the curved quotes in Info weren't
> fixed width as well.

I guess you've updated your tree after I made a change that prefers
the Symbola font for symbols, but before I followed that up with a
change that caused Emacs to use the default font if it supports a
character, even though Symbola was preferred for them.

Subject: 25.0.50; Some Unicode glyphs aren't monospaced
From: Oleh Krehel <[email-masked]>
To: [email-masked]
Date: Fri, 12 Jun 2015 14:54:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

My preferred font is "DejaVu Sans Mono".  When using the Unicode
character "✜", its width is more than the standard char width. This
causes alignment problems for me.

This issue doesn't occur in Emacs 24.5.2. There, the char has the same
width as all others.

Details on the char in Emacs 25:

             position: 227 of 348 (65%), column: 35
            character: ✜ (displayed as ✜) (codepoint 10012, #o23434, #x271c)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x271C
               script: symbol
               syntax: w 	which means: word
             category: .:Base
             to input: type "C-x 8 RET 271c" or "C-x 8 RET HEAVY OPEN CENTRE CROSS"
          buffer code: #xE2 #x9C #x9C
            file code: #xE2 #x9C #x9C (encoded by coding system utf-8-emacs-unix)
              display: by this font (glyph code)
    xft:-unknown-Symbola-normal-normal-semicondensed-*-15-*-*-*-*-0-iso10646-1 (#x9F9)

Character code properties: customize what to show
  name: HEAVY OPEN CENTRE CROSS
  old-name: HEAVY OPEN CENTER CROSS
  general-category: So (Symbol, Other)
  decomposition: (10012) ('✜')

There are text properties here:
  fontified            t

Details on the char in Emacs 24.5.2:

             position: 1819 of 2174 (84%), column: 5
            character: ✜ (displayed as ✜) (codepoint 10012, #o23434, #x271c)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x271C
               script: symbol
               syntax: w 	which means: word
             category: .:Base
             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
          buffer code: #xE2 #x9C #x9C
            file code: #xE2 #x9C #x9C (encoded by coding system utf-8-unix)
              display: by this font (glyph code)
    xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-15-*-*-*-m-0-iso10646-1 (#xAD1)